Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.generator
Class ViewProvider

    java.lang.Object
      org.eclipse.emf.ecp.view.model.generator.ViewProvider

All Implemented Interfaces:
  IViewProvider

    public class ViewProvider

extends Object
implements IViewProvider

View Provider.

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.provider.IViewProvider
`NOT_APPLICABLE`

Constructor Summary
`ViewProvider()`

Method Summary
`int` | `canRender(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)` Called to check whether the provider can provide a `VView` for an `EObject`.
`VView` | `generate(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)` This method is only called if `IViewProvider.canRender(EObject, Map)` returned the highest positive number of all `IViewProviders`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewProvider

    public ViewProvider()

Method Detail

### generate

    public VView generate(org.eclipse.emf.ecore.EObject eObject,
                          Map<String,Object> context)

  This method is only called if `IViewProvider.canRender(EObject, Map)` returned the highest positive number of all `IViewProviders`. It must then return a `VView` to the `EObject`.

  Specified by:
    `generate` in interface `IViewProvider`
  Parameters:
    `eObject` - the `EObject` to generate the `VView` for
    `context` - a key-value-map from String to Object
  Returns:
    the generated `VView`
  See Also:
    `IViewProvider.generate(EObject, Map)`

### canRender

    public int canRender(org.eclipse.emf.ecore.EObject eObject,
                         Map<String,Object> context)

  Called to check whether the provider can provide a `VView` for an `EObject`.

  Specified by:
    `canRender` in interface `IViewProvider`
  Parameters:
    `eObject` - the `EObject` to create a
    `context` - a key-value-map from String to Object
  Returns:
    an integer indicating how well this provider is fitted to provide a `VView` for the provided `EObject` or `IViewProvider.NOT_APPLICABLE` if it doesn't fit
  See Also:
    `IViewProvider.canRender(EObject, Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.